Create resident subpackage
Creates a residential subpackage under the user's active parent package.
Path Parameters
apiKey*string
Client API key.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://proxy-seller.com/personal/api/v2/abc123/residentsubuser/create" \ -H "Content-Type: application/json" \ -d '{ "rotation": 60, "expired_at": "2025-12-31", "is_link_date": true, "traffic_limit": "1073741824" }'{
"data": {
"rotation": 60,
"is_active": true,
"expired_at": {
"date": "2025-12-31 23:59:59.000000",
"timezone": "UTC",
"timezone_type": 3
},
"package_key": "f9ea7063d7a699b12b3e",
"is_link_date": true,
"traffic_left": "1073741824",
"traffic_limit": "1073741824",
"traffic_usage": "0",
"traffic_left_sub": "0",
"traffic_limit_sub": "0",
"traffic_usage_sub": "0"
},
"errors": [],
"status": "success"
}{
"code": 400,
"message": "Bad request",
"customData": null
}{
"error": "Too many requests"
}